CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

DimLine2Suppress Property (ActiveX)

2023-1-3 18:35| 发布者: admin| 查看: 397| 评论: 0|来自: AutoCAD

摘要: 指定第二尺寸线的隐含。

指定第二尺寸线的隐含。

支持的平台:仅窗口

签名

工 务 局:

object.DimLine2Suppress
对象

类型:三点角度,暗对齐,暗,暗弧长度,暗角直径,旋转

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:隐含第二尺寸线。
  • False:不隐含第二维线。

言论

此属性的初始值为。False

如果此属性设置为 ,则禁止显示第二条延伸线与文本之间的尺寸线和箭头。True

注意:此属性覆盖给定维度的 DIMSD2 系统变量的值。

例子

工 务 局:

Sub Example_DimensionLine2Suppress()
    ' This example creates a Dim3PointAngular object in model space
    ' and suppresses the dimension lines using the DimensionLine1Suppress
    ' and DimensionLine2Suppress properties
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    Dim Line1Suppressed As String, Line2Suppressed As String
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Read and display current line suppression information
    Line1Suppressed = IIf(DimPointAngularObj.DimLine1Suppress, "is suppressed", "is not suppressed")
    Line2Suppressed = IIf(DimPointAngularObj.DimLine2Suppress, "is suppressed", "is not suppressed")
    
    MsgBox "Line one of the dimension " & Line1Suppressed & vbCrLf & _
           "Line two of the dimension " & Line2Suppressed

    ' Suppress line one of the dimension
    DimPointAngularObj.DimLine1Suppress = True
    ThisDrawing.Regen acAllViewports
    MsgBox "Line one of the dimension is now suppressed"
    
    ' Suppress line two of the dimension
    DimPointAngularObj.DimLine2Suppress = True
    ThisDrawing.Regen acAllViewports
    MsgBox "Line two of the dimension is now suppressed"
   
    ' Turn both dimension lines back on
    DimPointAngularObj.DimLine1Suppress = False
    DimPointAngularObj.DimLine2Suppress = False
    ThisDrawing.Regen acAllViewports
    MsgBox "Both dimension lines are now visible again"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_DimensionLine2Suppress()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and suppresses the dimension lines using the DimensionLine1Suppress
    ;; and DimensionLine2Suppress properties
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Read and display current line suppression information
    (setq Line1Suppressed (if (= (vla-get-DimLine1Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed"))
    (setq Line2Suppressed (if (= (vla-get-DimLine2Suppress DimPointAngularObj) :vlax-true) "is suppressed" "is not suppressed"))
    
    (alert (strcat "Line one of the dimension " Line1Suppressed
                   "\nLine two of the dimension " Line2Suppressed))

    ;; Suppress line one of the dimension
    (vla-put-DimLine1Suppress DimPointAngularObj :vlax-true)
    (vla-Regen doc acAllViewports)
    (alert "Line one of the dimension is now suppressed")
    
    ;; Suppress line two of the dimension
    (vla-put-DimLine2Suppress DimPointAngularObj :vlax-true)
    (vla-Regen doc acAllViewports)
    (alert "Line two of the dimension is now suppressed")
   
    ;; Turn both dimension lines back on
    (vla-put-DimLine1Suppress DimPointAngularObj :vlax-false)
    (vla-put-DimLine2Suppress DimPointAngularObj :vlax-false)
    (vla-Regen doc acAllViewports)
    (alert "Both dimension lines are now visible again")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 12:29

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部